<template lang="pug">
.x-input.col.b-input.b-input-simple
  .x-input.row.align-items-center.no-gutters.my-1(
    @focusin="setHasFocus(true)",
    @focusout="setHasFocus(false)"
  )
    InputError(:showErrors="inEdit", :errors="errors", :warnings="warnings")
    .input-group.input-group-sm&attributes(attributes)
      .input-group-prepend(v-if="name")
        .input-group-text.text-muted(style="min-width: 8rem") {{ name }}
      slot(name="default", v-bind="{ $props, $data, addError, removeError }")
        input.text-right.text-sm-center(
          v-if="inEdit",
          ref="input",
          v-model="editValue",
          v-bind="$attrs"
        )
        input.text-right.text-sm-center(
          v-else,
          ref="input",
          readonly="1",
          :value="value",
          v-bind="$attrs"
        )
</template>
<script src='./Input.vue.js' />
<style lang='scss'>
.x-input.b-input {
  .b-alerts .alert:last-child {
    margin-bottom: 0.25rem !important;
  }
  input[readonly] {
    background: #e9ecef !important;
    color: rgb(108, 117, 125);
  }
}
</style>
